[env]
# can be defined as kcov, tarpaulin, ...
CARGO_MAKE_COVERAGE_PROVIDER = "kcov"

[tasks.dropdb]
command = "sqlx"
args = ["database", "drop"]

[tasks.createdb]
command = "sqlx"
args = ["database", "create"]

[tasks.migratedb]
command = "sqlx"
args = ["migrate", "run"]

[tasks.resetdb]
run_task = { name = ["dropdb", "createdb", "migratedb"] }
